﻿Imports System.IO

Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub UploadMultipleFiles(sender As Object, e As EventArgs)
        Dim folderPath As String = Server.MapPath("~/Files/")

        'Check whether Directory (Folder) exists.
        If Not Directory.Exists(folderPath) Then
            'If Directory (Folder) does not exists. Create it.
            Directory.CreateDirectory(folderPath)
        End If

        For Each postedFile As HttpPostedFile In FileUpload1.PostedFiles
            'Save the File to the Directory (Folder).
            postedFile.SaveAs(folderPath & Path.GetFileName(postedFile.FileName))
        Next

        'Display the success message.
        lblSuccess.Text = String.Format("{0} files have been uploaded successfully.", FileUpload1.PostedFiles.Count)
    End Sub
End Class
